На главную
ПРАВИЛА FAQ Помощь Участники Календарь Избранное DigiMania RSS
msm.ru
! Внимательно изучите правила раздела перед созданием темы
0. ПРИЛАГАЙТЕ СВОИ СКРИПТЫ.
1. Прежде чем создать топик, используйте поиск. Возможно это уже обсуждалось.
2. В топике указывайте ОС, режим работы скрипта (CLI|CGI). Очень желателен вывод лог-файлов и того места, куда у вас назначен вывод данных (STDOUT|STDERR)
3. Помните: вы знаете что вы хотите, а форумчане - нет. Поэтому следуйте простому правилу: грамотный развернутый вопрос - грамотный развернутый ответ.
Модераторы: JoeUser, ANDLL
  
    > Pinto установка зависимостей.
      Доброй ночи.
      Такая проблема возникла:
      Решил создать локальный репозиторий, для полной автоматизации установки.
      Решил воспользоваться Pinto. Инструкцию нашел здесь
      При установке на debian проблем не возникло. При установке на другой дистрибутив периодически появлялись сообщения следующего содержания:

      ExpandedWrap disabled
        Installing the dependencies failed: Module 'Time::HiRes' is not installed
        ! Bailing out the installation for Proc-Terminator-0.05.
        Successfully installed Digest-SHA1-2.13
        ! Installing the dependencies failed: Module 'Time::HiRes' is not installed,
        Module 'MIME::Base64' is not installed

      В конце установки получил следующее сообщение:
      ExpandedWrap disabled
        ! Installing the dependencies failed: Module 'CPAN::Checksums' is not installed,
        Module 'HTTP::Status' is not installed, Module 'Starman' is not installed, Module 'Plack::Request' is not installed,
        Module 'File::HomeDir' is not installed, Module 'URI::Escape' is not installed,
         Module 'File::Which' is not installed, Module 'DBIx::Class::ResultSet' is not installed,
         Module 'DBIx::Class' is not installed, Module 'URI' is not installed, Module 'Plack' is not installed,
        Module 'Authen::Simple::Passwd' is not installed, Module 'LWP::UserAgent' is not installed,
         Module 'URI::file' is not installed, Module 'Plack::Middleware::Auth::Basic' is not installed,
        Module 'DBIx::Class::Schema' is not installed, Module 'Plack::MIME' is not installed,
        Module 'Proc::Terminator' is not installed, Module 'HTTP::Request::Common' is not installed,
        Module 'UUID::Tiny' is not installed, Module 'Plack::Runner' is not installed,
        Module 'DBIx::Class::Core' is not installed, Module 'Plack::Response' is not installed
        ! Bailing out the installation for Pinto-0.12.

      Ручная установка этих модулей результата не дала. Pinto их, как я понимаю, не видит. Очевидно, что последовательность действий неверная, в следствии недостатка опыта работы с perl.
      Нужен совет по решению этой проблемы. Заранее премного благодарен.
      1 пользователей читают эту тему (1 гостей и 0 скрытых пользователей)
      0 пользователей:


      Рейтинг@Mail.ru
      [ Script Execution time: 0,0578 ]   [ 14 queries used ]   [ Generated: 26.08.19, 00:38 GMT ]